Package org.apache.batchee.servlet

## Class JBatchServletInitializer.PrivateFilter

- java.lang.Object
- - org.apache.batchee.servlet.JBatchServletInitializer.PrivateFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`
  Enclosing class:
    JBatchServletInitializer

      public static class JBatchServletInitializer.PrivateFilter
      extends Object
      implements javax.servlet.Filter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrivateFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `void` | `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` |
    `void` | `init​(javax.servlet.FilterConfig filterConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateFilter

          public PrivateFilter()

  - ### Method Detail

    - #### doFilter

          public void doFilter​(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### init

          public void init​(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`